[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TPickListCellEditor.WndProc

Implements the message processing loop for the cell editor.

## Declaration

Source position: grids.pas line 282

`protected procedure TPickListCellEditor.WndProc(`
`var TheMessage: TLMessage`
`); override;`

## Arguments

`TheMessage` |  | LCL message examined and handled in the method.

## Description

WndProc is an overridden method in TPickListCellEditor. It ensures that an LM_KILLFOCUS message in TheMessage is ignored when the cell editor temporarily looses focus during an update to the control.

WndProc calls the inherited method prior to exit to respond to other window, mouse, and keyboard messages.

## See also

TLMessage |  |
TWinControl.WndProc |  | Adds special handling for focus and input messages, and notifies the DockManager.